<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
	#	UfitPay Payment module for Sendroid Ultimate
	#	location: gateway/paywithufitpay/index.php
	#	Developed by: Ynet Interactive
	#	Special thanks: Mr. White

*/
global $LANG;
global $configverssion_id;
global $configapp_version;
global $server;
$userID = getUser();
$resellerID = userData($userID,'reseller');
global $userID;
global $resellerID;

class PaymentGateway {
	function initiatePayment($transaction_reference,$amount,$user_id,$button='') {
		global $LANG;
		$gateway = transactionData($transaction_reference,'method');	//Get the gateway ID from transaction
		$currency = paymentGatewayData($gateway,'currency_id');			//get the currency for this gateway
		$user_currency = userData($user_id,'currency_id');				//The users currency
		$currency_code = currencyCode($user_currency);					//set user currency code if needed
		$amount_converted = $amount*currencyRate($currency);			//Convert amount to charge to gateway's currency
		if($currency_code==$currency) {
			$amount_converted = $amount;								// No conversion needed
		}
		$merchant_key = trim(paymentGatewayData($gateway,'param1'));		
		$merchant_token = trim(paymentGatewayData($gateway,'param2'));			
		$callbackURL = home_base_url().'gateway/paywithufitpay/callback.php?tnx_ref='.$transaction_reference;
		//build HTML form
		$out = '';
		$out .= $button;
		$out .= '<script src="https://embed.ufitpay.com/'.$merchant_key.'"></script>';
		$out .= '<script type="text/javascript">
				function validatePaymentDA(data) {
					var reference = data.reference
					if(data.event=="completed") {
						var mess = "Payment successfully completed. Transaction reference is "+reference+". Enjoy";
						swal({   
							title: "Congratulations",   
							text: mess,   
							type: "success",   
							confirmButtonColor: "#086",   
							confirmButtonText: "Got it!", 
							closeOnConfirm: false 
						}, function(){  
							location.reload();
						});
					}
				}
				function pay(){
					initializePayWithUfitPay({
						resource: "disposableaccount",
						payer_name: "TEMP-'.userData($user_id,'first_name').' '.userData($user_id,'last_name').'", 
						payer_email: "'.userData($user_id,'email').'",
						amount: "'.$amount_converted.'",
						reference: "'.$transaction_reference.'",
						validity: 120,
						callback_url: "'.$callbackURL.'",
						callback_function: "validatePaymentDA"
					});
				}
				document.getElementById("inv_pay_b").onclick = function() { pay();}
				</script>';
		return $out;	  
	}
	function validatePayment($transaction_reference,$amount,$user_id,$postdata='') {
		//Not required for paytabs
	}	
}